# $Revision: 1.37 $, $Date: 2009/11/07 22:31:12 $
Summary:	The Ultimate Packer for eXecutables
Summary(pl.UTF-8):	Program pakujący pliki wykonywalne
Name:		upx
Version:	3.04
Release:	1
License:	GPL v2+
Group:		Development/Tools
Source0:	http://upx.sourceforge.net/download/%{name}-%{version}-src.tar.bz2
# Source0-md5:	68d662b1f831335460f9bfdbf632c6ce
Source1:        http://dl.sourceforge.net/sevenzip/lzma443.tar.bz2
# Source1-md5:	c4e1b467184c7cffd4371c74df2baf0f
URL:		http://upx.sourceforge.net/
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.167
BuildRequires:	ucl-devel >= 1.01
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UPX is an advanced executable file compressor. UPX will typically
reduce the file size of programs by around 50%-70%. Note that UPX
needs to decompress the program file before run, what request some
space in /tmp. You shouldn't compress suid guid and some others
"strategic" for security programs. UPX needs access to the /proc
filesystem.

%description -l pl.UTF-8
UPX jest zaawansowanym kompresorem plików wykonywalnych. Zazwyczaj
zmniejsza wielkość programów o około 50%-70%. UPX dekompresuje program
przed uruchomieniem, co wymaga trochę miejsca w /tmp. Nie powinieneś
nim kompresować programów mających suid, guid i innych ważnych dla
bezpieczeństwa systemu. Do pracy wymaga dostępu do systemu /proc

%prep
%setup -q -n %{name}-%{version}-src -a1

%build
%{__make} -C doc
%{__make} -C src \
	CCARCH="" \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS_O="%{rpmcflags}" \
	CXXFLAGS="%{rpmcxxflags}" \
	UCLDIR="%{_prefix}" \
	UPX_LZMADIR="../"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install doc/upx.1 $RPM_BUILD_ROOT%{_mandir}/man1
install src/upx.out $RPM_BUILD_ROOT%{_bindir}/upx

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS LICENSE NEWS PROJECTS README README.1ST README.SRC THANKS
%attr(755,root,root) %{_bindir}/upx
%{_mandir}/man1/upx.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: upx.spec,v $
Revision 1.37  2009/11/07 22:31:12  adamg
- updated to 3.04

Revision 1.36  2009/08/28 14:11:03  cactus
- rel 3; with pefile patch

Revision 1.35  2008/06/11 15:51:10  hawk
- release 2

Revision 1.34  2008-06-02 17:45:33  qboosh
- updated to 3.03

Revision 1.33  2008-03-15 22:50:33  areq
- 3.02

Revision 1.32  2007/10/20 22:46:58  wolf
- 3.01

Revision 1.31  2007/10/11 16:06:02  witekfl
- BR: zlib-devel
- glibc-static is not required
- enabled lzma
- added README.1ST to the docs
- rel 2

Revision 1.30  2007/06/20 22:38:41  prism
- up to 3.00

Revision 1.29  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.28  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.27  2006/12/08 14:50:11  mguevara
- up to 2.03

Revision 1.26  2005/07/11 19:56:28  jpc
- description cosmetics

Revision 1.25  2004/08/27 21:55:36  undefine
- remove unneeded patches

Revision 1.24  2004/08/27 21:55:07  undefine
- update to 1.25

Revision 1.23  2004/01/20 21:06:25  wolf
- is exclusivearch needed?

Revision 1.22  2003/10/30 15:20:12  qboosh
- cosmetics

Revision 1.21  2003/08/12 23:54:16  ankry
- cosmetics

Revision 1.20  2003/05/28 13:02:30  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:27:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/03/25 21:11:51  misi3k
- br: libstdc++

Revision 1.17  2003/03/25 21:08:30  wolf
- c++ required

Revision 1.16  2002/11/14 07:27:46  areq
- 1.24, STBR
- new %doc
- update URL

Revision 1.15  2002/02/23 05:04:55  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:15:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/07/07 08:58:53  wrobell
- up to 1.20 version
- added ucl patch to allow compile with ucl library

Revision 1.11  2001/04/30 16:05:31  kloczek
- added using %%{rpmcflags} macro.

Revision 1.10  2001/03/12 22:53:44  kloczek
- updated to 1.07.

Revision 1.9  2001/01/28 02:26:32  kloczek
- updated to 1.06.

Revision 1.8  2001/01/25 20:03:52  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2000/12/29 14:49:04  kloczek
- make spec %%{debug} ready.

Revision 1.6  2000/12/28 15:46:31  baggins
- release 2

Revision 1.5  2000/12/28 15:46:20  baggins
- added opt patch
- buildrequires glibc-static
- use RPM_OPT_FLAGS

Revision 1.4  2000/12/22 17:14:17  areq
- updated to 1.04

Revision 1.3  2000/12/07 11:15:03  agaran
Adapterized for $log
There is new version avaiable (1.03) but i didnt check it yet.
